Summary:	xmessage application - display a message or query in a window
Summary(pl.UTF-8):	Aplikacja xmessage - wyświetlanie komunikatu lub zapytania w oknie
Name:		xorg-app-xmessage
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xmessage-%{version}.tar.bz2
# Source0-md5:	2dd5ae46fa18abc9331bc26250a25005
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmessage program displays a window containing a message from the
command line, a file, or standard input. Along the lower edge of the
message is row of buttons; clicking the left mouse button on any of
these buttons will cause xmessage to exit. Which button was pressed is
returned in the exit status and, optionally, by writing the label of
the button to standard output.

%description -l pl.UTF-8
Program xmessage wyświetla okienko zawierające komunikat z linii
poleceń, pliku lub standardowego wejścia. Wzdłuż dolnej krawędzi
komunikatu znajduje się wiersz przycisków; kliknięcie lewym klawiszem
myszy na dowolnym z przycisków powoduje zakończenie xmessage, To,
który przycisk został wciśnięty, jest zwracane w kodzie wyjścia oraz,
opcjonalnie, poprzez wypisanie etykiety przycisku na standardowym
wyjściu.

%prep
%setup -q -n xmessage-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xmessage
%{_datadir}/X11/app-defaults/Xmessage*
%{_mandir}/man1/xmessage.1x*
%changelog
* Tue Jan 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xmessage.git;a=log;h=master

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b93aab
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 62ab8b6
- dropped pre-cvs changelog

* Fri May 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 026938e
- updated to 1.0.3

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ca42c7
- rel 3; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d6f2dbb
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 11992bd
- release 2

* Fri Aug 10 2007 Jakub Bogusz <qboosh@pld-linux.org> 72151ee
- descs from man

* Fri Aug 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c6cbc
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> caff8c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 23533bd
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 4c6607f
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 1a302a2
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 1636d83
- 1.0.1 (X11R7.0 release)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 3ee908b
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 0357549
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 6a57e8e
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> eb3e6a6
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> c611b64
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 19de5cd
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 664fad2
- s/pkg-config/pkgconfig/ in BR:

